LibOFX: OfxRequest Class Reference

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

# OfxRequest Class Reference

Inheritance diagram for OfxRequest:

## Detailed Description

A generic request.

This is an entire OFX aggregate, with all subordinate aggregates needed to log onto the OFX server of a single financial institution and process a request. The details of the particular request are up to subclasses of this one.

Definition at line 36 of file ofx_request.hh.

## Public Member Functions
| OfxRequest (const OfxFiLogin &fi)
OfxAggregate | SignOnRequest (void) const
OfxAggregate | RequestMessage (const string &msgtype, const string &trntype, const OfxAggregate &aggregate) const
| OfxRequest (const OfxFiLogin &fi)
OfxAggregate | SignOnRequest (void) const
OfxAggregate | RequestMessage (const string &msgtype, const string &trntype, const OfxAggregate &aggregate) const
## Protected Attributes
OfxFiLogin | m_login

## Constructor & Destructor Documentation

OfxRequest::OfxRequest | ( | const OfxFiLogin & | fi | ) | `[inline]`

  | Creates the generic request aggregate. Parameters:
  | fi | The information needed to log on user into one financial institution
Definition at line 45 of file ofx_request.hh.

OfxRequest::OfxRequest | ( | const OfxFiLogin & | fi | ) | `[inline]`

  | Creates the generic request aggregate. Parameters:
  | fi | The information needed to log on user into one financial institution
Definition at line 45 of file fx-0.8.2/lib/ofx_request.hh.

## Member Function Documentation

OfxAggregate OfxRequest::RequestMessage | ( | const string & | msgtype,
|  | const string & | trntype,
|  | const OfxAggregate & | aggregate
| ) | const

  | Creates a message aggregate Parameters:
  | msgtype | The type of message. This will be prepended to "MSGSRQV1" to become the tagname of the overall aggregate
  | trntype | The type of transactions being requested. This will be prepended to "TRNRQ" to become the tagname of the subordinate aggregate.
  | aggregate | The actual contents of the message, which will be a sub aggregate of the xxxTRNRQ aggregate.
Returns: The message aggregate created

OfxAggregate OfxRequest::RequestMessage | ( | const string & | msgtype,
|  | const string & | trntype,
|  | const OfxAggregate & | aggregate
| ) | const

  | Creates a message aggregate Parameters:
  | msgtype | The type of message. This will be prepended to "MSGSRQV1" to become the tagname of the overall aggregate
  | trntype | The type of transactions being requested. This will be prepended to "TRNRQ" to become the tagname of the subordinate aggregate.
  | aggregate | The actual contents of the message, which will be a sub aggregate of the xxxTRNRQ aggregate.
Returns: The message aggregate created Definition at line 88 of file ofx_request.cpp. Referenced by OfxStatementRequest::BankStatementRequest(), OfxStatementRequest::CreditCardStatementRequest(), OfxStatementRequest::InvestmentStatementRequest(), libofx_request_payment_status(), OfxAccountInfoRequest::OfxAccountInfoRequest(), and OfxPaymentRequest::OfxPaymentRequest().

OfxAggregate OfxRequest::SignOnRequest | ( | void |  | ) | const

| Creates a signon request aggregate, <SIGNONMSGSRQV1> & <SONRQ>, sufficient to log this user into this financial institution. Returns: The request aggregate created

OfxAggregate OfxRequest::SignOnRequest | ( | void |  | ) | const

| Creates a signon request aggregate, <SIGNONMSGSRQV1> & <SONRQ>, sufficient to log this user into this financial institution. Returns: The request aggregate created Definition at line 66 of file ofx_request.cpp. Referenced by libofx_request_payment_status(), OfxAccountInfoRequest::OfxAccountInfoRequest(), OfxPaymentRequest::OfxPaymentRequest(), and OfxStatementRequest::OfxStatementRequest().

The documentation for this class was generated from the following files:

- ofx_request.hh
- fx-0.8.2/lib/ofx_request.hh
- ofx_request.cpp
- fx-0.8.2/lib/ofx_request.cpp